%global momorel 2

Name:           perl-DateTime-Calendar-Chinese
Version:        0.05
Release:        %{momorel}m
Summary:        Traditional Chinese Calendar Implementation
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Calendar-Chinese/
Source0:        http://www.cpan.org/modules/by-module/DateTime/DateTime-Calendar-Chinese-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl >= 5.6.1
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Event-Chinese >= 0.04
BuildRequires:  perl-DateTime-Event-Lunar >= 0.04
BuildRequires:  perl-DateTime-Event-SolarTerm >= 0.04
BuildRequires:  perl-DateTime-Util-Astro >= 0.06
BuildRequires:  perl-DateTime-Util-Calc >= 0.08
BuildRequires:  perl-Math-Round
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Params-Validate
Requires:       perl-DateTime
Requires:       perl-DateTime-Event-Chinese >= 0.04
Requires:       perl-DateTime-Event-Lunar >= 0.04
Requires:       perl-DateTime-Event-SolarTerm >= 0.04
Requires:       perl-DateTime-Util-Astro >= 0.06
Requires:       perl-DateTime-Util-Calc >= 0.08
Requires:       perl-Math-Round
Requires:       perl-Params-Validate
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is an implementation of the Chinese calendar as described in
"Calendrical Calculations" [1]. Please note that the following description
is the description from [1], and the author has not made attempts to verify
the correctness of statements with other sources.

%prep
%setup -q -n DateTime-Calendar-Chinese-%{version}

%build
%{__perl} Build.PL installdirs=site
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{perl_sitelib}/*/*/*
%{_mandir}/man3/*

%changelog
* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
